#!/usr/bin/perl

use lib '/Users/bart/scripts/webifyImages';

use strict;
use WebifyImages;

# Script to insert a credit into an image

# get arg
my $image = $ARGV[0];
unless ($image){
  print "ERROR: must supply the path to the image as an argument.\n\n";
  exit;
}

# print a warning
print <<endl;

WARNING WARNING WARNING

This script will modify the image $image

Are you sure you want to continue? (y/n)
endl
unless(<STDIN> =~ m/y/i){
  exit;
}

#do it
WebifyImages::resizeImages($image);
WebifyImages::insertCCIcon($image);
WebifyImages::insertUrl($image);

